<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
<!-- NewPage -->
<html lang="en">
<head>
<!-- Generated by javadoc (version 1.7.0_65) on Fri Aug 22 15:07:03 CEST 2014 -->
<title>TokenMgrError</title>
<meta name="date" content="2014-08-22">
<link rel="stylesheet" type="text/css" href="../../../../../stylesheet.css" title="Style">
</head>
<body>
<script type="text/javascript"><!--
    if (location.href.indexOf('is-external=true') == -1) {
        parent.document.title="TokenMgrError";
    }
//-->
</script>
<noscript>
<div>JavaScript is disabled on your browser.</div>
</noscript>
<!-- ========= START OF TOP NAVBAR ======= -->
<div class="topNav"><a name="navbar_top">
<!--   -->
</a><a href="#skip-navbar_top" title="Skip navigation links"></a><a name="navbar_top_firstrow">
<!--   -->
</a>
<ul class="navList" title="Navigation">
<li><a href="../../../../../overview-summary.html">Overview</a></li>
<li><a href="package-summary.html">Package</a></li>
<li class="navBarCell1Rev">Class</li>
<li><a href="class-use/TokenMgrError.html">Use</a></li>
<li><a href="package-tree.html">Tree</a></li>
<li><a href="../../../../../deprecated-list.html">Deprecated</a></li>
<li><a href="../../../../../index-files/index-1.html">Index</a></li>
<li><a href="../../../../../help-doc.html">Help</a></li>
</ul>
</div>
<div class="subNav">
<ul class="navList">
<li><a href="../../../../../fr/inria/alpage/frmgcm/dpp/Token.html" title="class in fr.inria.alpage.frmgcm.dpp"><span class="strong">Prev Class</span></a></li>
<li>Next Class</li>
</ul>
<ul class="navList">
<li><a href="../../../../../index.html?fr/inria/alpage/frmgcm/dpp/TokenMgrError.html" target="_top">Frames</a></li>
<li><a href="TokenMgrError.html" target="_top">No Frames</a></li>
</ul>
<ul class="navList" id="allclasses_navbar_top">
<li><a href="../../../../../allclasses-noframe.html">All Classes</a></li>
</ul>
<div>
<script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_top");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->
</script>
</div>
<div>
<ul class="subNavList">
<li>Summary:&nbsp;</li>
<li>Nested&nbsp;|&nbsp;</li>
<li><a href="#field_summary">Field</a>&nbsp;|&nbsp;</li>
<li><a href="#constructor_summary">Constr</a>&nbsp;|&nbsp;</li>
<li><a href="#method_summary">Method</a></li>
</ul>
<ul class="subNavList">
<li>Detail:&nbsp;</li>
<li><a href="#field_detail">Field</a>&nbsp;|&nbsp;</li>
<li><a href="#constructor_detail">Constr</a>&nbsp;|&nbsp;</li>
<li><a href="#method_detail">Method</a></li>
</ul>
</div>
<a name="skip-navbar_top">
<!--   -->
</a></div>
<!-- ========= END OF TOP NAVBAR ========= -->
<!-- ======== START OF CLASS DATA ======== -->
<div class="header">
<div class="subTitle">fr.inria.alpage.frmgcm.dpp</div>
<h2 title="Class TokenMgrError" class="title">Class TokenMgrError</h2>
</div>
<div class="contentContainer">
<ul class="inheritance">
<li>java.lang.Object</li>
<li>
<ul class="inheritance">
<li>java.lang.Throwable</li>
<li>
<ul class="inheritance">
<li>java.lang.Error</li>
<li>
<ul class="inheritance">
<li>fr.inria.alpage.frmgcm.dpp.TokenMgrError</li>
</ul>
</li>
</ul>
</li>
</ul>
</li>
</ul>
<div class="description">
<ul class="blockList">
<li class="blockList">
<dl>
<dt>All Implemented Interfaces:</dt>
<dd>java.io.Serializable</dd>
</dl>
<hr>
<br>
<pre>public class <span class="strong">TokenMgrError</span>
extends java.lang.Error</pre>
<div class="block">Token Manager Error.</div>
<dl><dt><span class="strong">See Also:</span></dt><dd><a href="../../../../../serialized-form.html#fr.inria.alpage.frmgcm.dpp.TokenMgrError">Serialized Form</a></dd></dl>
</li>
</ul>
</div>
<div class="summary">
<ul class="blockList">
<li class="blockList">
<!-- =========== FIELD SUMMARY =========== -->
<ul class="blockList">
<li class="blockList"><a name="field_summary">
<!--   -->
</a>
<h3>Field Summary</h3>
<table class="overviewSummary" border="0" cellpadding="3" cellspacing="0" summary="Field Summary table, listing fields, and an explanation">
<caption><span>Fields</span><span class="tabEnd">&nbsp;</span></caption>
<tr>
<th class="colFirst" scope="col">Modifier and Type</th>
<th class="colLast" scope="col">Field and Description</th>
</tr>
<tr class="altColor">
<td class="colFirst"><code>(package private) int</code></td>
<td class="colLast"><code><strong><a href="../../../../../fr/inria/alpage/frmgcm/dpp/TokenMgrError.html#errorCode">errorCode</a></strong></code>
<div class="block">Indicates the reason why the exception is thrown.</div>
</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code>(package private) static int</code></td>
<td class="colLast"><code><strong><a href="../../../../../fr/inria/alpage/frmgcm/dpp/TokenMgrError.html#INVALID_LEXICAL_STATE">INVALID_LEXICAL_STATE</a></strong></code>
<div class="block">Tried to change to an invalid lexical state.</div>
</td>
</tr>
<tr class="altColor">
<td class="colFirst"><code>(package private) static int</code></td>
<td class="colLast"><code><strong><a href="../../../../../fr/inria/alpage/frmgcm/dpp/TokenMgrError.html#LEXICAL_ERROR">LEXICAL_ERROR</a></strong></code>
<div class="block">Lexical error occurred.</div>
</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code>(package private) static int</code></td>
<td class="colLast"><code><strong><a href="../../../../../fr/inria/alpage/frmgcm/dpp/TokenMgrError.html#LOOP_DETECTED">LOOP_DETECTED</a></strong></code>
<div class="block">Detected (and bailed out of) an infinite loop in the token manager.</div>
</td>
</tr>
<tr class="altColor">
<td class="colFirst"><code>private static long</code></td>
<td class="colLast"><code><strong><a href="../../../../../fr/inria/alpage/frmgcm/dpp/TokenMgrError.html#serialVersionUID">serialVersionUID</a></strong></code>
<div class="block">The version identifier for this Serializable class.</div>
</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code>(package private) static int</code></td>
<td class="colLast"><code><strong><a href="../../../../../fr/inria/alpage/frmgcm/dpp/TokenMgrError.html#STATIC_LEXER_ERROR">STATIC_LEXER_ERROR</a></strong></code>
<div class="block">An attempt was made to create a second instance of a static token manager.</div>
</td>
</tr>
</table>
</li>
</ul>
<!-- ======== CONSTRUCTOR SUMMARY ======== -->
<ul class="blockList">
<li class="blockList"><a name="constructor_summary">
<!--   -->
</a>
<h3>Constructor Summary</h3>
<table class="overviewSummary" border="0" cellpadding="3" cellspacing="0" summary="Constructor Summary table, listing constructors, and an explanation">
<caption><span>Constructors</span><span class="tabEnd">&nbsp;</span></caption>
<tr>
<th class="colOne" scope="col">Constructor and Description</th>
</tr>
<tr class="altColor">
<td class="colOne"><code><strong><a href="../../../../../fr/inria/alpage/frmgcm/dpp/TokenMgrError.html#TokenMgrError()">TokenMgrError</a></strong>()</code>
<div class="block">No arg constructor.</div>
</td>
</tr>
<tr class="rowColor">
<td class="colOne"><code><strong><a href="../../../../../fr/inria/alpage/frmgcm/dpp/TokenMgrError.html#TokenMgrError(boolean,%20int,%20int,%20int,%20java.lang.String,%20char,%20int)">TokenMgrError</a></strong>(boolean&nbsp;EOFSeen,
             int&nbsp;lexState,
             int&nbsp;errorLine,
             int&nbsp;errorColumn,
             java.lang.String&nbsp;errorAfter,
             char&nbsp;curChar,
             int&nbsp;reason)</code>
<div class="block">Full Constructor.</div>
</td>
</tr>
<tr class="altColor">
<td class="colOne"><code><strong><a href="../../../../../fr/inria/alpage/frmgcm/dpp/TokenMgrError.html#TokenMgrError(java.lang.String,%20int)">TokenMgrError</a></strong>(java.lang.String&nbsp;message,
             int&nbsp;reason)</code>
<div class="block">Constructor with message and reason.</div>
</td>
</tr>
</table>
</li>
</ul>
<!-- ========== METHOD SUMMARY =========== -->
<ul class="blockList">
<li class="blockList"><a name="method_summary">
<!--   -->
</a>
<h3>Method Summary</h3>
<table class="overviewSummary" border="0" cellpadding="3" cellspacing="0" summary="Method Summary table, listing methods, and an explanation">
<caption><span>Methods</span><span class="tabEnd">&nbsp;</span></caption>
<tr>
<th class="colFirst" scope="col">Modifier and Type</th>
<th class="colLast" scope="col">Method and Description</th>
</tr>
<tr class="altColor">
<td class="colFirst"><code>protected static java.lang.String</code></td>
<td class="colLast"><code><strong><a href="../../../../../fr/inria/alpage/frmgcm/dpp/TokenMgrError.html#addEscapes(java.lang.String)">addEscapes</a></strong>(java.lang.String&nbsp;str)</code>
<div class="block">Replaces unprintable characters by their escaped (or unicode escaped)
 equivalents in the given string</div>
</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code>java.lang.String</code></td>
<td class="colLast"><code><strong><a href="../../../../../fr/inria/alpage/frmgcm/dpp/TokenMgrError.html#getMessage()">getMessage</a></strong>()</code>
<div class="block">You can also modify the body of this method to customize your error messages.</div>
</td>
</tr>
<tr class="altColor">
<td class="colFirst"><code>protected static java.lang.String</code></td>
<td class="colLast"><code><strong><a href="../../../../../fr/inria/alpage/frmgcm/dpp/TokenMgrError.html#LexicalError(boolean,%20int,%20int,%20int,%20java.lang.String,%20char)">LexicalError</a></strong>(boolean&nbsp;EOFSeen,
            int&nbsp;lexState,
            int&nbsp;errorLine,
            int&nbsp;errorColumn,
            java.lang.String&nbsp;errorAfter,
            char&nbsp;curChar)</code>
<div class="block">Returns a detailed message for the Error when it is thrown by the
 token manager to indicate a lexical error.</div>
</td>
</tr>
</table>
<ul class="blockList">
<li class="blockList"><a name="methods_inherited_from_class_java.lang.Throwable">
<!--   -->
</a>
<h3>Methods inherited from class&nbsp;java.lang.Throwable</h3>
<code>addSuppressed, fillInStackTrace, getCause, getLocalizedMessage, getStackTrace, getSuppressed, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString</code></li>
</ul>
<ul class="blockList">
<li class="blockList"><a name="methods_inherited_from_class_java.lang.Object">
<!--   -->
</a>
<h3>Methods inherited from class&nbsp;java.lang.Object</h3>
<code>clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait</code></li>
</ul>
</li>
</ul>
</li>
</ul>
</div>
<div class="details">
<ul class="blockList">
<li class="blockList">
<!-- ============ FIELD DETAIL =========== -->
<ul class="blockList">
<li class="blockList"><a name="field_detail">
<!--   -->
</a>
<h3>Field Detail</h3>
<a name="serialVersionUID">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>serialVersionUID</h4>
<pre>private static final&nbsp;long serialVersionUID</pre>
<div class="block">The version identifier for this Serializable class.
 Increment only if the <i>serialized</i> form of the
 class changes.</div>
<dl><dt><span class="strong">See Also:</span></dt><dd><a href="../../../../../constant-values.html#fr.inria.alpage.frmgcm.dpp.TokenMgrError.serialVersionUID">Constant Field Values</a></dd></dl>
</li>
</ul>
<a name="LEXICAL_ERROR">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>LEXICAL_ERROR</h4>
<pre>static final&nbsp;int LEXICAL_ERROR</pre>
<div class="block">Lexical error occurred.</div>
<dl><dt><span class="strong">See Also:</span></dt><dd><a href="../../../../../constant-values.html#fr.inria.alpage.frmgcm.dpp.TokenMgrError.LEXICAL_ERROR">Constant Field Values</a></dd></dl>
</li>
</ul>
<a name="STATIC_LEXER_ERROR">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>STATIC_LEXER_ERROR</h4>
<pre>static final&nbsp;int STATIC_LEXER_ERROR</pre>
<div class="block">An attempt was made to create a second instance of a static token manager.</div>
<dl><dt><span class="strong">See Also:</span></dt><dd><a href="../../../../../constant-values.html#fr.inria.alpage.frmgcm.dpp.TokenMgrError.STATIC_LEXER_ERROR">Constant Field Values</a></dd></dl>
</li>
</ul>
<a name="INVALID_LEXICAL_STATE">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>INVALID_LEXICAL_STATE</h4>
<pre>static final&nbsp;int INVALID_LEXICAL_STATE</pre>
<div class="block">Tried to change to an invalid lexical state.</div>
<dl><dt><span class="strong">See Also:</span></dt><dd><a href="../../../../../constant-values.html#fr.inria.alpage.frmgcm.dpp.TokenMgrError.INVALID_LEXICAL_STATE">Constant Field Values</a></dd></dl>
</li>
</ul>
<a name="LOOP_DETECTED">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>LOOP_DETECTED</h4>
<pre>static final&nbsp;int LOOP_DETECTED</pre>
<div class="block">Detected (and bailed out of) an infinite loop in the token manager.</div>
<dl><dt><span class="strong">See Also:</span></dt><dd><a href="../../../../../constant-values.html#fr.inria.alpage.frmgcm.dpp.TokenMgrError.LOOP_DETECTED">Constant Field Values</a></dd></dl>
</li>
</ul>
<a name="errorCode">
<!--   -->
</a>
<ul class="blockListLast">
<li class="blockList">
<h4>errorCode</h4>
<pre>int errorCode</pre>
<div class="block">Indicates the reason why the exception is thrown. It will have
 one of the above 4 values.</div>
</li>
</ul>
</li>
</ul>
<!-- ========= CONSTRUCTOR DETAIL ======== -->
<ul class="blockList">
<li class="blockList"><a name="constructor_detail">
<!--   -->
</a>
<h3>Constructor Detail</h3>
<a name="TokenMgrError()">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>TokenMgrError</h4>
<pre>public&nbsp;TokenMgrError()</pre>
<div class="block">No arg constructor.</div>
</li>
</ul>
<a name="TokenMgrError(java.lang.String, int)">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>TokenMgrError</h4>
<pre>public&nbsp;TokenMgrError(java.lang.String&nbsp;message,
             int&nbsp;reason)</pre>
<div class="block">Constructor with message and reason.</div>
</li>
</ul>
<a name="TokenMgrError(boolean, int, int, int, java.lang.String, char, int)">
<!--   -->
</a>
<ul class="blockListLast">
<li class="blockList">
<h4>TokenMgrError</h4>
<pre>public&nbsp;TokenMgrError(boolean&nbsp;EOFSeen,
             int&nbsp;lexState,
             int&nbsp;errorLine,
             int&nbsp;errorColumn,
             java.lang.String&nbsp;errorAfter,
             char&nbsp;curChar,
             int&nbsp;reason)</pre>
<div class="block">Full Constructor.</div>
</li>
</ul>
</li>
</ul>
<!-- ============ METHOD DETAIL ========== -->
<ul class="blockList">
<li class="blockList"><a name="method_detail">
<!--   -->
</a>
<h3>Method Detail</h3>
<a name="addEscapes(java.lang.String)">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>addEscapes</h4>
<pre>protected static final&nbsp;java.lang.String&nbsp;addEscapes(java.lang.String&nbsp;str)</pre>
<div class="block">Replaces unprintable characters by their escaped (or unicode escaped)
 equivalents in the given string</div>
</li>
</ul>
<a name="LexicalError(boolean, int, int, int, java.lang.String, char)">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>LexicalError</h4>
<pre>protected static&nbsp;java.lang.String&nbsp;LexicalError(boolean&nbsp;EOFSeen,
                            int&nbsp;lexState,
                            int&nbsp;errorLine,
                            int&nbsp;errorColumn,
                            java.lang.String&nbsp;errorAfter,
                            char&nbsp;curChar)</pre>
<div class="block">Returns a detailed message for the Error when it is thrown by the
 token manager to indicate a lexical error.
 Parameters :
    EOFSeen     : indicates if EOF caused the lexical error
    curLexState : lexical state in which this error occurred
    errorLine   : line number when the error occurred
    errorColumn : column number when the error occurred
    errorAfter  : prefix that was seen before this error occurred
    curchar     : the offending character
 Note: You can customize the lexical error message by modifying this method.</div>
</li>
</ul>
<a name="getMessage()">
<!--   -->
</a>
<ul class="blockListLast">
<li class="blockList">
<h4>getMessage</h4>
<pre>public&nbsp;java.lang.String&nbsp;getMessage()</pre>
<div class="block">You can also modify the body of this method to customize your error messages.
 For example, cases like LOOP_DETECTED and INVALID_LEXICAL_STATE are not
 of end-users concern, so you can return something like :

     "Internal Error : Please file a bug report .... "

 from this method for such cases in the release version of your parser.</div>
<dl>
<dt><strong>Overrides:</strong></dt>
<dd><code>getMessage</code>&nbsp;in class&nbsp;<code>java.lang.Throwable</code></dd>
</dl>
</li>
</ul>
</li>
</ul>
</li>
</ul>
</div>
</div>
<!-- ========= END OF CLASS DATA ========= -->
<!-- ======= START OF BOTTOM NAVBAR ====== -->
<div class="bottomNav"><a name="navbar_bottom">
<!--   -->
</a><a href="#skip-navbar_bottom" title="Skip navigation links"></a><a name="navbar_bottom_firstrow">
<!--   -->
</a>
<ul class="navList" title="Navigation">
<li><a href="../../../../../overview-summary.html">Overview</a></li>
<li><a href="package-summary.html">Package</a></li>
<li class="navBarCell1Rev">Class</li>
<li><a href="class-use/TokenMgrError.html">Use</a></li>
<li><a href="package-tree.html">Tree</a></li>
<li><a href="../../../../../deprecated-list.html">Deprecated</a></li>
<li><a href="../../../../../index-files/index-1.html">Index</a></li>
<li><a href="../../../../../help-doc.html">Help</a></li>
</ul>
</div>
<div class="subNav">
<ul class="navList">
<li><a href="../../../../../fr/inria/alpage/frmgcm/dpp/Token.html" title="class in fr.inria.alpage.frmgcm.dpp"><span class="strong">Prev Class</span></a></li>
<li>Next Class</li>
</ul>
<ul class="navList">
<li><a href="../../../../../index.html?fr/inria/alpage/frmgcm/dpp/TokenMgrError.html" target="_top">Frames</a></li>
<li><a href="TokenMgrError.html" target="_top">No Frames</a></li>
</ul>
<ul class="navList" id="allclasses_navbar_bottom">
<li><a href="../../../../../allclasses-noframe.html">All Classes</a></li>
</ul>
<div>
<script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_bottom");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->
</script>
</div>
<div>
<ul class="subNavList">
<li>Summary:&nbsp;</li>
<li>Nested&nbsp;|&nbsp;</li>
<li><a href="#field_summary">Field</a>&nbsp;|&nbsp;</li>
<li><a href="#constructor_summary">Constr</a>&nbsp;|&nbsp;</li>
<li><a href="#method_summary">Method</a></li>
</ul>
<ul class="subNavList">
<li>Detail:&nbsp;</li>
<li><a href="#field_detail">Field</a>&nbsp;|&nbsp;</li>
<li><a href="#constructor_detail">Constr</a>&nbsp;|&nbsp;</li>
<li><a href="#method_detail">Method</a></li>
</ul>
</div>
<a name="skip-navbar_bottom">
<!--   -->
</a></div>
<!-- ======== END OF BOTTOM NAVBAR ======= -->
</body>
</html>
